> ## Documentation Index
> Fetch the complete documentation index at: https://docs.slate.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a QC checklist and items

> Gets a single QC checklist with checklist items



## OpenAPI

````yaml /api-reference/qc/openapi.yaml get /v2/qc/checklists/{qclID}
openapi: 3.0.0
info:
  title: QC API
  description: >-
    API for managing Quality Control checklists, requests, approving or
    rejecting requests, etc.
  version: 2.0.0
  contact:
    name: Slate API Support
    email: api-support@slate.inc
    url: https://slate.inc
servers:
  - url: https://api.slate.inc/qc
    description: Production
  - url: https://api.uat.slate.inc/qc
    description: UAT (staging)
security:
  - bearerAuth: []
paths:
  /v2/qc/checklists/{qclID}:
    get:
      summary: Get a QC checklist and items
      description: Gets a single QC checklist with checklist items
      parameters:
        - in: path
          name: qclID
          required: true
          schema:
            type: string
      responses:
        '200':
          description: QC Checklist with items
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/QCChecklistWithItems'
        '400':
          description: Invalid request parameters
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Unauthorized or invalid permissions
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Quality Check Request not found or token does not have permission
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: Unexpected internal error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    QCChecklistWithItems:
      type: object
      required:
        - id
        - createdOn
        - checklistItems
        - displayName
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier for the QC checklist
        createdOn:
          type: string
          format: date-time
          description: Timestamp when the QC checklist was created
        archivedOn:
          type: string
          format: date-time
          description: Timestamp when the QC checklist was archived
        displayName:
          type: string
          description: Name of the QC checklist
        description:
          type: string
          description: A longer description of the QC checklist.
        version:
          type: string
          description: The version of the checklist
        groupType:
          type: string
          description: >-
            The type of numbering used for this checklist's groups. Only set
            once the checklist has at least one group.
          enum:
            - alphanumeric
            - numeric
        roles:
          type: array
          description: Roles associated with the QC checklist.
          items:
            $ref: '#/components/schemas/QCRole'
        groups:
          type: array
          description: >-
            Groups associated with the QC checklist. Only applicable to `review`
            type checklists.
          items:
            $ref: '#/components/schemas/QCChecklistGroup'
        checklistItems:
          type: array
          items:
            $ref: '#/components/schemas/QCChecklistItem'
    Error:
      type: object
      required:
        - message
      properties:
        message:
          type: string
          description: A human readable error message
    QCRole:
      type: object
      required:
        - id
        - displayName
      properties:
        id:
          type: string
          description: Unique-to-checklist identifier for the QC role
        displayName:
          type: string
          description: The display name of the QC role
        createdOn:
          type: string
          format: date-time
          description: Timestamp when the QC role was created
        archivedOn:
          type: string
          format: date-time
          description: Timestamp when the QC role was archived
    QCChecklistGroup:
      type: object
      required:
        - id
        - groupName
        - groupType
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier for the QC checklist group
        groupName:
          type: string
          description: Name of the QC checklist group
        groupType:
          type: string
          description: The type of numbering used for the group
          enum:
            - alphanumeric
            - numeric
    QCChecklistItem:
      type: object
      required:
        - id
        - createdOn
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier for the QC checklist item
        createdOn:
          type: string
          format: date-time
          description: Timestamp when the QC checklist item was created
        archivedOn:
          type: string
          format: date-time
          description: Timestamp when the QC checklist item was archived
        displayName:
          type: string
          description: Name of the QC checklist item
        description:
          type: string
          description: A longer description of the QC checklist item.
        roleId:
          type: string
          description: Unique identifier of a QC checklist role assigned to item
        groupId:
          type: string
          format: uuid
          description: >-
            Unique identifier of the group this item belongs to. Only applicable
            to `review` type checklists.
        itemOrder:
          type: integer
          description: >-
            The position of this item within the checklist, as set by the order
            checklist items were sent in on the last PATCH.
        allowNA:
          type: boolean
          description: >-
            Whether reviewers can mark this item Not Applicable. Only applicable
            to `review` type checklists.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Owner-scoped bearer token. The `owner` a request is scoped to is derived
        from the token; list endpoints also take an explicit `owner` query
        parameter your token must be authorized to read.

````